# Generated by Django 3.0.4 on 2020-07-09 07:17

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BEfficiencyFactor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('strategy', models.CharField(choices=[('SUFFICIENCY', 'Sufficiency strategy (minimum fertilizer)'), ('REDUCED', 'Build-up & maintenance (reduced fertilizer)'), ('MAXIMUM', 'Build-up & maintenance (maximum yield)'), ('MAINTENANCE', 'Maintenance (soil analysis not available)')], max_length=32, verbose_name='Strategy')),
                ('soil_type', models.CharField(choices=[('SANDY', 'Sandy'), ('SANDY_LOAM', 'Sandy loam'), ('LOAM', 'Loam'), ('SILTY_LOAM', 'Silty loam'), ('CLAY_LOAM', 'Clay loam'), ('CLAY', 'Clay')], max_length=32, verbose_name='Soil type')),
                ('factor', models.FloatField(verbose_name='Efficiency factor')),
            ],
            options={
                'db_table': 'fertilicalc__efficiency_factor',
            },
        ),
        migrations.CreateModel(
            name='BSoilEffect',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('soil_type', models.CharField(choices=[('SANDY', 'Sandy'), ('SANDY_LOAM', 'Sandy loam'), ('LOAM', 'Loam'), ('SILTY_LOAM', 'Silty loam'), ('CLAY_LOAM', 'Clay loam'), ('CLAY', 'Clay')], max_length=32, verbose_name='Soil type')),
                ('coeff', models.FloatField(verbose_name='Coefficient')),
            ],
            options={
                'db_table': 'fertilicalc__soil_effect',
            },
        ),
        migrations.CreateModel(
            name='PlantSpeciesProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('plant_species_id', models.CharField(max_length=50, verbose_name='plant species id')),
                ('profile_name', models.CharField(max_length=255, verbose_name='profile name')),
                ('harvest_product', models.CharField(blank=True, max_length=255, null=True, verbose_name='Harvest product')),
                ('dry_matter', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Dry matter (%)')),
                ('n', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Typical N concentration (% dry matter)')),
                ('p', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='P concentration (% dry matter)')),
                ('k', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='K concentration (% dry matter)')),
                ('res_product', models.CharField(blank=True, max_length=255, null=True, verbose_name='Residue product')),
                ('res_dry_matter', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Dry matter in residues (%)')),
                ('res_n', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Typical N concentrationin residues')),
                ('res_p', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='P concentration in residues (% dry matter)')),
                ('res_k', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='K concentration in residues (% dry matter)')),
                ('nfix_code', models.BooleanField(blank=True, null=True, verbose_name='N fixation')),
                ('n_min', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Minimal N concentration')),
                ('n_max', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Maximal N concentration')),
                ('hi', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Harvest index (%)')),
                ('f_res', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Fraction of residues left in field (%)')),
                ('n_basal', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='Basal application (%)')),
                ('basal_description', models.CharField(blank=True, max_length=2048, null=True, verbose_name='Basal application description')),
                ('post_planting_count', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Number of post-planting application')),
                ('post_planting_description', models.CharField(blank=True, max_length=2048, null=True, verbose_name='Post planting applications description')),
                ('default_low_yield', models.FloatField(blank=True, null=True, verbose_name='Low yield default value')),
                ('default_medium_yield', models.FloatField(blank=True, null=True, verbose_name='Medium yield default value')),
                ('default_high_yield', models.FloatField(blank=True, null=True, verbose_name='High yield default value')),
            ],
            options={
                'verbose_name': 'plant species profile',
                'verbose_name_plural': 'plant species profiles',
                'db_table': 'fertilicalc__plant_species_profile',
            },
        ),
        migrations.CreateModel(
            name='PotassiumThreshold',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('strategy', models.CharField(choices=[('SUFFICIENCY', 'Sufficiency strategy (minimum fertilizer)'), ('REDUCED', 'Build-up & maintenance (reduced fertilizer)'), ('MAXIMUM', 'Build-up & maintenance (maximum yield)'), ('MAINTENANCE', 'Maintenance (soil analysis not available)')], max_length=32, verbose_name='Strategy')),
                ('soil_type', models.CharField(choices=[('SANDY', 'Sandy'), ('SANDY_LOAM', 'Sandy loam'), ('LOAM', 'Loam'), ('SILTY_LOAM', 'Silty loam'), ('CLAY_LOAM', 'Clay loam'), ('CLAY', 'Clay')], max_length=32, verbose_name='Soil type')),
                ('value', models.PositiveSmallIntegerField(verbose_name='Threshold')),
            ],
            options={
                'verbose_name': 'Potassium threshold',
                'verbose_name_plural': 'Potassium thresholds',
                'db_table': 'fertilicalc__potassium_threshold',
                'abstract': False,
                'unique_together': {('strategy', 'soil_type')},
            },
        ),
        migrations.CreateModel(
            name='PhosphorusThreshold',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('strategy', models.CharField(choices=[('SUFFICIENCY', 'Sufficiency strategy (minimum fertilizer)'), ('REDUCED', 'Build-up & maintenance (reduced fertilizer)'), ('MAXIMUM', 'Build-up & maintenance (maximum yield)'), ('MAINTENANCE', 'Maintenance (soil analysis not available)')], max_length=32, verbose_name='Strategy')),
                ('soil_type', models.CharField(choices=[('SANDY', 'Sandy'), ('SANDY_LOAM', 'Sandy loam'), ('LOAM', 'Loam'), ('SILTY_LOAM', 'Silty loam'), ('CLAY_LOAM', 'Clay loam'), ('CLAY', 'Clay')], max_length=32, verbose_name='Soil type')),
                ('value', models.PositiveSmallIntegerField(verbose_name='Threshold')),
            ],
            options={
                'verbose_name': 'Phosphorus threshold',
                'verbose_name_plural': 'Phosphorus thresholds',
                'db_table': 'fertilicalc__phosphorus_threshold',
                'abstract': False,
                'unique_together': {('strategy', 'soil_type')},
            },
        ),
    ]
